package com.bonus.material.book.mapper;

import com.bonus.material.book.domain.BookCarDetailDto;
import com.bonus.material.book.domain.BookCarInfoDto;
import com.bonus.material.device.domain.vo.DevInfoVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author：liang.chao
 * @Date：2024/11/22 - 17:01
 */
@Mapper
public interface BookCarMapper {

    /**
     * 添加预约车详情
     *
     * @param bookCarInfoDto
     * @return
     */
    Integer addBookCarDetail(BookCarInfoDto bookCarInfoDto);

    /**
     * 查询预约车详情
     *
     * @param devInfo
     * @return
     */
    List<DevInfoVo> getBookCarDetails(BookCarInfoDto devInfo);

    /**
     * 查询设备详情
     *
     * @param maId
     * @param userId
     * @return
     */
    DevInfoVo selectDevInfoByMaId(@Param("maId") String maId, @Param("userId") Long userId, @Param("devType") String devType);

    /**
     * 删除预约车
     *
     * @param id
     * @return
     */
    int deleteById(Integer id);

    int deleteByIds(@Param("array") Integer[] ids);

    List<DevInfoVo> getBookCarDetailsTool(BookCarInfoDto bookCarInfoDto);
}
